export enum EDIT_TYPE_ENUM {
  PASSWORD = "password",
  EMAIL = "email",
  PHONE = "phone",
  ADDRESS = "address",
}

/** 信息修改页面 */
export const EDIT_TYPE = {
  /** 修改密码 */
  [EDIT_TYPE_ENUM.PASSWORD.toLocaleUpperCase()]: {
    code: EDIT_TYPE_ENUM.PASSWORD,
    cname: "修改密码",
  },
  /** 修改邮箱 */
  [EDIT_TYPE_ENUM.EMAIL.toLocaleUpperCase()]: {
    code: EDIT_TYPE_ENUM.EMAIL,
    cname: "修改邮箱",
  },
  /** 修改手机号 */
  [EDIT_TYPE_ENUM.PHONE.toLocaleUpperCase()]: {
    code: EDIT_TYPE_ENUM.PHONE,
    cname: "修改手机号",
  },
  /** 修改地址 */
  [EDIT_TYPE_ENUM.ADDRESS.toLocaleUpperCase()]: {
    code: EDIT_TYPE_ENUM.ADDRESS,
    cname: "修改地址",
  },
} as const;
